Skip to main content

Parse sample logs with a Sawmill pipeline

POST 

/v1/sawmill/log-type-pipeline/logType

Performs parsing of sample logs with a given Sawmill pipeline (https://github.com/logzio/sawmill/wiki). A pipeline is a collection of parsing rules to be executed in a specific order where the syntax and functionality follow the guidelines of the Sawmill library. Note: this endpoint is not used to create or update parsing, but for testing purposes only. Please ensure to change the region in the URL to match your account's region.

Request​

Path Parameters

    logType stringrequired

    Type of the log being parsed. This can be an existing type (already sent to Logz.io) or a new type (to be sent to Logz.io for parsing).

    Example: TestType

Body

required
    pipeLineDefinition string
    sampleLogs object[]
  • Array [
  • type string
    fullMessage object
    message string
    hello string
  • ]

Responses​

Schema
  • Array [
  • object

  • ]
Loading...